/* ----------------------------------------------------------------

 * objects and funtions for

 * Matches.asp

 * ---------------------------------------------------------------- */





function Matches() {

};



/* ----------------------------------------------------------------

 * Get match by team id data

 * ---------------------------------------------------------------- */



Matches.HTTPGetByTeam = function (teamId) {

    var URL;



    URL = HTTP.hattrickServer + "/Common/Matches.asp?" + HTTP.type 

        + "&actionType=view"

        + "&teamID=" + teamId;



    EventSystem.HTTPRequest(URL, Matches.ParseGetByTeam, "Get Match By Team");

};



Matches.ParseGetByTeam = function(xml) {

  var regStr = "(<Match\\s(?:.*?)</Match>)";

  var regExp, found;

  try {

    var fetchDate = Time.parseFetchDate(xml);

    regExp = new RegExp(regStr, "g");

    var id, homeTeam, awayTeam;

    var matches = new Array();

    for(;found = regExp.exec(xml);) {

      matches[matches.length] = Matches.ParseMatch(found[1]);

    }

    var diffDate, nearestDiff=Number.MAX_VALUE;

    var g=-1, i=0;

    for (i=0; i<matches.length; i++) {

      diffDate = Math.abs(matches[i].date - fetchDate);

      if (diffDate < nearestDiff) {

        nearestDiff = diffDate;

        g = i;

      }

    };

    if(g != -1) {

      LiveFox.AddLiveMatch(matches[g].id);

    }

  } catch(e) {

    alert("Matches.ParseGetByTeam: " + e);

  }

  return null;

};







/* ----------------------------------------------------------------

 * commun Parse functions

 * ---------------------------------------------------------------- */



Matches.ParseMatch = function (xml) {

  //match.type = Matches.ParseMatchType(xml);

  return new Match(

    Live.ParseMatchId(xml),

    League.ParseMatchDate(xml),

    Live.ParseHomeTeam(xml),

    Live.ParseAwayTeam(xml),

    null, null

  );

};



Matches.ParseMatchType = function (xml) {

  return Util.Parse("<MatchType>(.*?)</MatchType>", xml);

};

 



 

