var Time = {

  SECOND: 0,

  MINUTE: 0,

  HOUR: 0,

  DAY: 0,

  hattrickTime: 0,

  hattrickDiffTime: 0,

  start: function(hattrickTime) {

    var now = new Date();

    Time.hattrickTime = hattrickTime;

    Time.hattrickDiffTime = hattrickTime - now;

  },

  formatDate: function(date) {

    return date.toLocaleString();

  },

  parseFetchDate: function (response) {

      return Time.parseDate(Util.Parse("<FetchedDate>(.*?)</FetchedDate>", response));

  },

  parseDate: function(str) {

    // str is a date string in the form "yyyy-mm-dd hh:mm:ss" (Ex: "2005-12-03 22:00:00")

    // if hh:mm:ss is 00:00:00, it is ommited

    var reg1 = new RegExp(/(\d*)-(\d*)-(\d*).*/);

    var reg2 = new RegExp(/.*? (\d*):(\d*):(\d*)/);

    var f;

    var date = new Date();

  

    var a, b, c;

  

    f = reg1.exec(str);

    date.setUTCFullYear(parseInt(f[1], 10));

    date.setUTCMonth(parseInt(f[2], 10)-1, parseInt(f[3], 10));

  

    f = reg2.exec(str);

    if (f) {

      date.setUTCHours(parseInt(f[1], 10));

      date.setUTCMinutes(parseInt(f[2], 10));

      date.setUTCSeconds(parseInt(f[3], 10));

    } else {

      date.setUTCHours(0);

      date.setUTCMinutes(0);

      date.setUTCSeconds(0);

    }

    return date;

  },

  getMatchTime: function(match) {

  /** ----------------------------------

   * Match time sequence

   * -----------------

   * 00:00 start game

   * 00:45 end half one

   * 01:00 start half 2

   * 01:45 end half 2.

   * - extra time

   * 1:45 start extratime

   * 2:15 end extratime (or by first goal)

   * - penalties

   * 2:15 start penalty

   * 2:25 end penalty (earliest)

   * 2:59 end penalty (latest)

   * each penalty = 1 minute

   * max penalties = 44 

   */

    if (match.isFinish) {

      return LiveFox.Label.TIME.FINISH;

    };

  

    var startTime = match.date;

    var time = Time.hattrickTime - startTime; // time elapsed in miliseconds

  

    if (time<0) {

      var seconds = Math.floor(Math.abs(time)/1000); // time elapsed in seconds

      var minutes = Math.floor(seconds/60); // time elapsed in minutes

      var hours = Math.floor(minutes/60); // time elapsed in minutes

      var days = Math.floor(hours/24); // time elapsed in minutes

  

      if (days > 0) return LiveFox.Label.TIME.STARTS_IN + " " + days + " " + LiveFox.Label.TIME.DAYS; 

      if (hours > 0) return LiveFox.Label.TIME.STARTS_IN + " " + hours + " " + LiveFox.Label.TIME.HOURS; 

      return LiveFox.Label.TIME.STARTS_IN + " " + minutes + " " + LiveFox.Label.TIME.MINUTES; 

    };  

      

    var seconds = Math.floor(time/1000); // time elapsed in seconds

    var minutes = Math.floor(seconds/60); // time elapsed in minutes

   

    var m = minutes; // first half

    if(m <= 45) return "00:" + (m < 10 ? "0" + m : m) + " " + LiveFox.Label.TIME.FIRST_HALF;

    if(m < 60) return LiveFox.Label.TIME.HALF_TIME;

    m = minutes-60; // second half

    if(m <= 45) return "00:" + (m < 10 ? "0" + m : m) + " " + LiveFox.Label.TIME.SECOND_HALF;

    m = minutes-105; // extra time

    if(m <= 30) return "00:" + (m < 10 ? "0" + m : m) + " " + LiveFox.Label.TIME.EXTRA_TIME;

    return LiveFox.Label.TIME.PENALTIES;

  }

};



Time.SECOND=1000;

Time.MINUTE=Time.SECOND*60;

Time.HOUR=Time.MINUTE*60;

Time.DAY=Time.HOUR*24;







